Bug 1986 - [UPDATE REQUEST] drakxtools-14.34-10, drakx-net-1.1-4
: [UPDATE REQUEST] drakxtools-14.34-10, drakx-net-1.1-4
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 11:38 MSD by Aleksandr Kazantcev
Modified: 2013-05-15 19:36 MSD (History)
3 users (show)

See Also:
RPM Package: drakxtools, drakx-net
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
hd2-1.png (282.44 KB, image/png)
2013-05-03 00:28 MSD, Postnikov Dmitry
Details
error (240.37 KB, image/png)
2013-05-14 10:35 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-05-02 11:38:26 MSD
New version
Comment 1 Aleksandr Kazantcev 2013-05-02 11:41:05 MSD
https://abf.rosalinux.ru/build_lists/1076953
https://abf.rosalinux.ru/build_lists/1076954
https://abf.rosalinux.ru/build_lists/1076956
https://abf.rosalinux.ru/build_lists/1076957

Advisory: In this fix we fully drop older and obsolete network-config mandriva part of Drakx tools:

- drop applet package
- drop draknetcenter
- add to consolehelper draknfs and draksambashare
- fix consolehelper
- drop drakgw, drakids, draknetprofile, drakvpn, drakroam
- move drakfirewall from drakxtools to drakx-net
Comment 2 Aleksandr Kazantcev 2013-05-02 11:43:27 MSD
For tester: Please carefully test for install together drakxtools and drakx-net updates!
Comment 3 Postnikov Dmitry 2013-05-03 00:28:00 MSD
Created attachment 1344 [details]
hd2-1.png

1. Update went well.
2. I do not see movement of drakfirewall in the package drak-xnet. Drakfirewall is not in any of the packages.
3. Harddrake2 better than оперделять equipment. However, in the section of the keyboard, are "Ghost". For example sense of doubling "PowerButton", but I don't have the keyboard power button. (See att.)
4. Just when you start Harddrake2 from /usr/sbin are access errors. And if заупскать from /usr/bin that there are no errors, but when you press (for example) "PowerButton" in konsole writes error of module "kbd". (See att.)
5. NetworkManager works is fine. Settings in NW is work. Any and many connect/disconnect stability works.
Comment 4 Postnikov Dmitry 2013-05-03 00:41:43 MSD
6. First start draksambashare and start "master preferences". I pressed "cancel". After this, in konsole:

==========
[pastordi@mindlife ~]$ draksambashare
unwanted (special shares)
printers is a printer
print$ is a printer
pdf-gen is a printer
wizcancel at /usr/lib/libDrakX/ugtk2.pm line 526.
Perl's trace:
standalone::bug_handler() called from /usr/sbin/draksambashare:1497
[pastordi@mindlife ~]$

============

7. I start draknfs. Nothing to setup, press "OK" and exit. After this, in konsole:

==========
[pastordi@mindlife ~]$ draknfs

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

rpcbind.service is not a native service, redirecting to /sbin/chkconfig.
Executing /sbin/chkconfig rpcbind on

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

ln -s '/lib/systemd/system/nfs-server.service' '/etc/systemd/system/multi-user.target.wants/nfs-server.service'
Gtk-CRITICAL **: gtk_window_realize_icon: assertion `info->icon_pixmap == NULL' failed at /usr/lib/libDrakX/mygtk2.pm line 1213.
[pastordi@mindlife ~]$ Redirecting to /bin/systemctl reload nfs-server.service
Failed to issue method call: Job type reload is not applicable for unit nfs-server.service.

=========
Comment 5 Aleksandr Kazantcev 2013-05-03 09:36:30 MSD
All of you described is normal - some warning in draknfs and draksambashare been, because we used it without drakconf.

harddrake is another problem - in that update we did not change it
Comment 6 Vladimir Potapov 2013-05-14 10:35:35 MSD
Created attachment 1350 [details]
error

1) I run consolehelper
2) I see error
Comment 7 Aleksandr Kazantcev 2013-05-14 11:19:17 MSD
Why you run consolehelper- this not related for this package? Run it from root and see similar error - this is normal i think - it only for rules in pamd.
Comment 8 Vladimir Potapov 2013-05-14 17:16:51 MSD
How to check "fix consolehelper"?
Comment 9 Aleksandr Kazantcev 2013-05-14 17:19:04 MSD
Try run drakx utilites from user and root...

draknfs and draksambashare not work before, like some other.
Comment 11 Vladimir Potapov 2013-05-14 17:30:25 MSD
Thx :-)
Comment 12 Aleksandr Kazantcev 2013-05-14 17:33:52 MSD
Common part of man

"It is intended to be completely transparent. This means that the user will never run the consolehelper program directly"
Comment 13 Vladimir Potapov 2013-05-14 17:38:14 MSD
(In reply to comment #12)
> Common part of man
> 
> "It is intended to be completely transparent. This means that the user will
> never run the consolehelper program directly"

According to the standard, error message should contain information on how to avoid this error.
Comment 14 Vladimir Potapov 2013-05-14 17:42:22 MSD
How to check "- drop applet package"?
Comment 15 Aleksandr Kazantcev 2013-05-14 17:43:37 MSD
You don't has Mandriva network-applet anymore in tray. Remove network - only NM will be say whtat network is absent.
Comment 16 Aleksandr Kazantcev 2013-05-14 17:48:02 MSD
And again "You shouldn't be running consolehelper directly". Error with directly run is normal and thare is not standrat about - this is PAM part and you need say 'hey developers, you create non-frendly PAM!" directly for PAM deelopers.

Is in Fedora consolehelper has more usefull output?
Comment 17 Vladimir Potapov 2013-05-14 17:50:40 MSD
(In reply to comment #15)
> You don't has Mandriva network-applet anymore in tray. Remove network - only
> NM will be say whtat network is absent.
I.e. I will write "drop network-applet package" in advisory. Ok?
Comment 18 Vladimir Potapov 2013-05-14 17:52:38 MSD
(In reply to comment #16)
> And again "You shouldn't be running consolehelper directly". Error with
> directly run is normal and thare is not standrat about - this is PAM part
> and you need say 'hey developers, you create non-frendly PAM!" directly for
> PAM deelopers.
> 
> Is in Fedora consolehelper has more usefull output?
No, no, no. I'm just explaining that led to my error.
Comment 19 Vladimir Potapov 2013-05-15 17:18:28 MSD
(In reply to comment #3)
> 2. I do not see movement of drakfirewall in the package drak-xnet.
I confirm this.
Comment 20 Aleksandr Kazantcev 2013-05-15 17:28:18 MSD
Moving not binary package, but create simlynk and consolehelper rules.
Comment 21 Vladimir Potapov 2013-05-15 17:30:41 MSD
I (and Dmitry) not found drakfirewall in any package (filelist).
It's correct?
Comment 22 Aleksandr Kazantcev 2013-05-15 17:32:20 MSD
rpm -qf /usr/sbin/drakfirewall 
drakx-net-text-1.1-4-rosa2012.1.noarch
Comment 23 Vladimir Potapov 2013-05-15 18:13:00 MSD
drakxtools-14.34-10-rosa2012.1
drakx-net-1.1-4-rosa2012.1
********************** Advisory ********************
- drop net-applet package
- drop draknetcenter
- add to consolehelper draknfs and draksambashare
- fix consolehelper
- drop drakgw, drakids, draknetprofile, drakvpn, drakroam
- move drakfirewall from drakxtools to drakx-net-text
******************************************************
QA Verified